Skip to main content
GET
/
v2
/
customers
/
{customerId}
/
notes
Query Customer Notes
curl --request GET \
  --url https://api.jtl-cloud.com/erp/v2/customers/{customerId}/notes \
  --header 'Authorization: Bearer <token>' \
  --header 'x-tenant-id: <x-tenant-id>'
[
  {
    "noteId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
    "noteBody": "<string>"
  }
]

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

Path Parameters

customerId
string<uuid>
required

The id of the customer that the notes belong to. Represents a unique key for identifying a customer in the JTL system.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

Response

The requested notes of the customer.

noteId
string<uuid>

Unique ID to identify a customer note. A customer note always has a customer reference and may have a sales order reference as well.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

noteBody
string

The text in the customer note.